## net.sf.saxon.trans
Class StaticError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.trans.StaticError

All Implemented Interfaces:
  Serializable

    public class StaticError

extends XPathException

Exception used for static errors in XPath, XSLT, or XQuery

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`StaticError(Exception err)`
`StaticError(String message)`
`StaticError(String message, SourceLocator loc)`
`StaticError(String message, Throwable err)`

Method Summary
`StaticError` `makeStatic()` Force an exception to a static error
`static StaticError` `makeStaticError(TransformerException err)`

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, hasBeenReported, isTypeError, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsTypeError`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticError

    public StaticError(String message)

### StaticError

    public StaticError(Exception err)

### StaticError

    public StaticError(String message,
                       Throwable err)

### StaticError

    public StaticError(String message,
                       SourceLocator loc)

Method Detail

### makeStatic

    public StaticError makeStatic()

  Force an exception to a static error

  Overrides:
    `makeStatic` in class `XPathException`

### makeStaticError

    public static StaticError makeStaticError(TransformerException err)

Copyright (C) Michael H. Kay. All rights reserved.